#ifndef LINK1_H
#define LINK1_H
#include <stdlib.h> // provides size_t
#include <SDL.h>

struct obj
{
	void (*command) (struct Node*);
	struct Node* ptr;
	char * mesg;
	SDL_Rect rect;
	
};

   struct Node
   {
      struct obj data;
      Node *sub;
      Node *link;
   };



   size_t list_length(Node* head_ptr);
   void list_head_insert(Node*& head_ptr, const Node& entry);
   Node* list_locate(Node* head_ptr, size_t position);
   void list_head_remove(Node*& head_ptr);
   void list_remove(Node* previous_ptr);
   void list_clear(Node*& head_ptr);


#endif
